.reg_wrapper {
  position: relative;
  width: 100%;
  height: 100%;
  min-width: 592px;
  min-height: 688px;
  color: #fff;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap;
  overflow: auto;
  z-index: 1;
}

.reg_wrapper .reg_bg {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;

  img {
    width: 100%;
    height: 100%;
  }
}

.reg_wrapper .reg_content {
  margin: 40px;
  width: 480px;

  .reg_logo {
    margin: 0 auto;
    cursor: pointer !important;
    width: 205px;
    height: 80px;
  }
}

.reg_wrapper .reg_content .reg_form {
  padding: 12px;
  width: 100%;
  margin-top: 12px;
  border-radius: 48px;
  border: 2px solid rgba(51, 88, 148, 0.4);
  background: linear-gradient(145.81deg, rgba(67, 111, 185, 0.2) 3.59%, rgba(24, 47, 78, 0.2) 97.06%);
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);

  .reg_form_block {
    width: 100%;
    /* min-height: 470px; */
    background: linear-gradient(180deg, rgba(98, 153, 237, 0.5), rgba(31, 59, 107, 0.5) 52.1%, rgba(34, 59, 103, 0.5));
    -webkit-backdrop-filter: blur(30px);
    backdrop-filter: blur(30px);
    border-radius: 40px;
    padding: 24px;
    overflow: hidden;

    .reg_all_inputs {
      margin-top: 12px;
    }
  }
}

.sponsor img {
  margin: 0 auto;
  width: 100%;
}

.Inputs_block {
  position: relative;
  width: 100%;
  max-height: 48px;
  transition: all 0.3s;
  overflow: hidden;

  &:not(:first-child) {
    margin-top: 12px;
  }
}

.Inputs_block > div {
  width: 100%;
  height: 48px;
  border-radius: 12px;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  padding: 0 16px;
  background: rgba(121, 129, 164, 0.2);
  border: 1px solid transparent;
  transition: all 0.3s;

  .icon {
    width: 24px;
    height: 24px;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: 100%;
  }

  .icon.icon_member {
    background-image: url(/images/icon1.png);
  }

  .icon.icon_lock {
    background-image: url(/images/icon6.png);
  }

  .ant-input {
    width: calc(100% - 48px);
    height: 40px;
    padding: 0 12px;
    font-size: 16px;
    caret-color: #179cff;
    color: #fff;
    background: none;
    border: none;
    box-shadow: none;
    transition: all 0.3s;
  }
}

.reg_wrapper .reg_content .reg_form .reg_form_block .reg_all_inputs .btn {
  position: relative;
  width: 100%;
  height: 48px;
  padding: 0 0 2px;
  color: #fff;
  overflow: hidden;
  cursor: pointer;
  margin-top: 20px;

  div {
    position: relative;
    width: 100%;
    height: 100%;
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    z-index: 2;

    &:before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      border-radius: 12px;
      background: linear-gradient(359.21deg, #1f59ff 0.74%, #218bff 27.83%, #4af4ff 99.37%);
      z-index: -1;
    }

    span {
      position: relative;
      z-index: 1;
      font-family: PingFang SC;
      font-style: normal;
      font-weight: 600;
      font-size: 18px;
      transition: all 0.3s;
    }
  }
}

.reg_wrapper .reg_content .reg_form .reg_form_block .reg_all_inputs .reg_bottom {
  margin-top: 20px;
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: space-between;
  justify-content: space-between;

  .reg_bottom_btn {
    cursor: pointer;
    border-radius: 12px;
    background: rgba(255, 255, 255, 0.04);
    width: 31.7%;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    -webkit-align-items: center;
    align-items: center;
    padding: 8px 0;
  }
}
